Package Details: perl-lexical-sealrequirehints 0.011-1

Git Clone URL: https://aur.archlinux.org/perl-lexical-sealrequirehints.git (read-only)
Package Base: perl-lexical-sealrequirehints
Description: prevent leakage of lexical hints
Upstream URL: https://metacpan.org/release/Lexical-SealRequireHints
Licenses: GPL, PerlArtistic
Submitter: alexey-p
Maintainer: BluePeril
Last Packager: BluePeril
Votes: 9
Popularity: 0.000000
First Submitted: 2011-02-24 18:05
Last Updated: 2018-10-06 06:36

Latest Comments

yar commented on 2018-08-07 05:37

Please update to 0.011, thanks

yubimusubi commented on 2017-03-01 18:14

For some reason, with local::lib set up, this gets installed to the local::lib instead of system-wide (maybe this is a Module::Build peculiarity, and ought to be fixed in CPANPLUS::Dist::Arch?).

I copied the "export" lines from build() into the check() and package() and got it to build and install correctly.

byte commented on 2015-10-10 02:39

Needs makedepends=('perl-module-build')

csllbr commented on 2015-09-22 08:06

I get the following error:

/usr/bin/perl Build --makefile_env_macros 1 install
Building Module-Build
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ERROR: Can't create '/tmp/yaourt-tmp/aur-perl-lexical-sealrequirehints/pkg/perl-lexical-sealrequirehints/usr/bin/vendor_perl'
mkdir /tmp/yaourt-tmp/aur-perl-lexical-sealrequirehints/pkg/perl-lexical-sealrequirehints: Permission denied at /usr/share/perl5/core_perl/ExtUtils/Install.pm line 477.

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
at lib/Module/Build/Base.pm line 3559.
Makefile:48: recipe for target 'install' failed
make: *** [install] Error 13
LEONT/Module-Build-0.4214.tar.gz
/usr/bin/make install -- NOT OK
Couldn't install Module::Build, givin